libetonyek::KEY1TableElement::TableData Struct Reference

## Public Member Functions
| TableData ()

## Public Attributes
std::deque< Element > | m_elements
std::deque< TableSegment > | m_horizontalSegments
std::deque< TableSegment > | m_verticalSegments
std::unordered_map< unsigned, IWORKPosition > | m_idToPositionMap

## Constructor & Destructor Documentation

## ◆ TableData()

libetonyek::KEY1TableElement::TableData::TableData | ( |  | ) |

## Member Data Documentation

## ◆ m_elements

std::deque<Element> libetonyek::KEY1TableElement::TableData::m_elements

Referenced by TableData().

## ◆ m_horizontalSegments

std::deque<TableSegment> libetonyek::KEY1TableElement::TableData::m_horizontalSegments

Referenced by TableData().

## ◆ m_idToPositionMap

std::unordered_map<unsigned, IWORKPosition> libetonyek::KEY1TableElement::TableData::m_idToPositionMap

Referenced by TableData().

## ◆ m_verticalSegments

std::deque<TableSegment> libetonyek::KEY1TableElement::TableData::m_verticalSegments

Referenced by TableData().

The documentation for this struct was generated from the following file:

- KEY1TableElement.cpp